#include "vision.h"
#include <bits/stdc++.h>
// #include "grader.cpp"

using namespace std;

using ll = long long;

#define ff  first
#define ss  second
#define pii pair<int, int>

#define vi     vector<int>
#define sz(a)  (int)(a).size()
#define all(a) (a).begin(), (a).end()

vector<int> getVisionPattern1d() {
    return {3, 1, 2};
}

int getMove1d(vector<int> v) {
    if (sz(v) == 3) return 2;
    if (sz(v) == 5) return (v[0] == 1 ? 0 : 4);
    return 0;
    // assert(false);
}

vector<vector<int>> getVisionPattern2d() {
    return {{1}};
}

pair<int, int> getMove2d(vector<vector<int>> v) {
    return {0, 0};
}
